PATCH/v1/templates/{id}

Rename or move a template

Scope templates.write

Path parameters

idstringrequired

Body

namestringmin length 1max length 160
folderIdstring or null

Returns

10 fields of the 200 answer
idstringrequired
namestringrequired
folderIdstring or nullrequired
productIdstringrequired
productSpecificationIdstringrequired
draftobjectrequired
3 fields
revisionintegerrequired
updatedAtdate-timerequired
updatedByIdstring or nullrequired
latestVersionobject or nullrequired
6 fields
idstringrequired
numberintegerrequired
publishedAtdate-timerequired
publishedByTypeenumrequired
USERAPI_KEY
publishedByIdstringrequired
staticLayerStatusenumrequired
PENDINGREADYFAILED
archivedAtdate-time or nullrequired
createdAtdate-timerequired
updatedAtdate-timerequired

Responses

200Success
401Authentication required or API key invalid
403Permission or scope missing, organisation suspended
404Not found
422Validation failed
429Rate limited for this API key and class; wait Retry-After seconds
otherError (RFC 9457 problem details)